/* Scrutari - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets;

import fr.exemole.sctserver.SctServer;
import fr.exemole.sctserver.servlets.resources.theme.SctCssCatalog;
import net.mapeadores.util.html.UtilHtmlPrinter;
import net.mapeadores.util.io.ResourceInfo;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.servlets.ResponseHandler;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;


/**
 *
 * @author Vincent Calame
 */
public class DirectoryIndexPage extends UtilHtmlPrinter implements SctCssCatalog, ResponseHandler {

    private SctServer sctServer;
    private String dirName;

    public DirectoryIndexPage(SctServer sctServer, String dirName) {
        this.sctServer = sctServer;
        this.dirName = dirName;
    }

    public long getLastModified() {
        return ResponseHandler.LASTMODIFIED_NOCACHE;
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        response.setContentType("text/html;charset=UTF-8");
        initPrinter(response.getWriter());
        start(LangInteger.UNDETERMINED);
        if (dirName.equals("logs")) {
            printLogDir();
        }
        end();
    }

    private void printLogDir() {
        ResourceInfo[] array = sctServer.getLogAccess().getCurrentLogArray();
        int length = array.length;
        for (int i = 0; i < length; i++) {
            ResourceInfo resourceInfo = array[i];
            long lg = resourceInfo.length();
            String name = resourceInfo.getName();
            if (lg > 0) {
                startA(name);
                append(name);
                endA();
            } else {
                append(name);
            }
            appendBr();
        }
    }

}
