/* Scrutari - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages;

import fr.exemole.sctserver.SctServer;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.primitives.DateInteger;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;


/**
 *
 * @author Vincent Calame
 */
public class JournauxPage extends AdminHtmlPage {

    public JournauxPage(SctServer sctServer) {
        init(sctServer);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printTools();
        int[] moisArray = sctServer.getSearchLog().getMonthIntegerArray();
        startH1();
        localize("title_journaux_month");
        endH1();
        HTMLAttributes aAttributes = new HTMLAttributes();
        for (int i = 0; i < moisArray.length; i++) {
            int mois = moisArray[i];
            String moisString = DateInteger.toString(mois);
            String href = "journal_" + moisString + ".html";
            aAttributes.setHref(href);
            startP();
            startA(aAttributes);
            append(moisString);
            endA();
            endP();
        }
        end();
    }
}
