/* Scrutari - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages.utils;

import fr.exemole.sctserver.servlets.admin.htmlpages.AdminHtmlPage;
import fr.exemole.sctserver.servlets.resources.theme.SctCssCatalog;
import net.mapeadores.scrutari.db.AttributeKeyCoder;
import net.mapeadores.util.attr.AttributeDef;
import net.mapeadores.util.attr.AttributeDefList;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.text.Libelle;
import net.mapeadores.util.text.LibelleHolder;


/**
 *
 * @author Vincent Calame
 */
public class AttributesPrinter implements SctCssCatalog {

    private AttributesPrinter() {
    }

    public static void printAttributesList(AdminHtmlPage page, AttributeDefList attributeDefList) {
        int count = attributeDefList.getAttributeDefCount();
        page.startUl();
        for (int i = 0; i < count; i++) {
            printAttributeDefLi(page, attributeDefList.getAttributeDef(i));
        }
        page.endUl();
    }

    private static void printAttributeDefLi(AdminHtmlPage page, AttributeDef attributeDef) {
        page.startLi();
        page.startP();
        page.startCode();
        page.append("[");
        page.append(String.valueOf(attributeDef.getAttributeKey().toString()));
        page.append("]");
        page.endCode();
        page.append(" - ");
        LibelleHolder libelleHolder = attributeDef.getLibelleHolder();
        int libelleCount = libelleHolder.getLibelleCount();
        for (int i = 0; i < libelleCount; i++) {
            if (i > 0) {
                page.append(" / ");
            }
            Libelle libelle = libelleHolder.getLibelleByIndex(i);
            page.escape(libelle.getLibelleString());
        }
        page.endP();
        page.endLi();
    }

}
