/* Scrutari - Copyright (c) 2011-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages.utils;

import fr.exemole.sctserver.servlets.admin.htmlpages.AdminHtmlPage;
import fr.exemole.sctserver.servlets.resources.theme.SctCssCatalog;
import net.mapeadores.scrutari.db.ScrutariDataURICodeList;
import net.mapeadores.util.html.HTMLAttributes;
import net.scrutari.datauri.ScrutariDataURI;


/**
 *
 * @author Vincent Calame
 */
public class UriCodesPrinter implements SctCssCatalog {

    private UriCodesPrinter() {
    }

    public static void printUriCodes(AdminHtmlPage page) {
        ScrutariDataURICodeList initialScrutariDataURICodeList = page.getSctServer().getSctServerStorage().getConfDirectory().getInitialScrutariDataURICodeList();
        if (initialScrutariDataURICodeList == null) {
            page.startP();
            page.startSpan(HTMLAttributes.initClasses(INFO_SPANCLASS));
            page.localize("info_uricodes_none");
            page.endSpan();
            page.endP();
        } else {
            page.startUl();
            int count = initialScrutariDataURICodeList.getCodeCount();
            for (int i = 0; i < count; i++) {
                int code = initialScrutariDataURICodeList.getCode(i);
                ScrutariDataURI scrutariDataURI = initialScrutariDataURICodeList.getScrutariDataURI(i);
                page.startLi();
                page.startCode();
                page.append(String.valueOf(code));
                page.append(" = ");
                page.append(scrutariDataURI.toString());
                page.endCode();
                page.endLi();
            }
            page.endUl();
        }
    }

}
