/* Scrutari - Copyright (c) 2008-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.explore.htmlpages;

import fr.exemole.sctserver.SctServer;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.html.UtilHtmlPrinter;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.servlets.ResponseHandler;


/**
 *
 * @author Vincent Calame
 */
public abstract class ExploreHtmlPage extends UtilHtmlPrinter implements ResponseHandler {

    protected SctServer sctServer;
    protected int workingLangInteger = LangInteger.build("fr");

    public ExploreHtmlPage(SctServer sctServer) {
        this.sctServer = sctServer;
    }

    public long getLastModified() {
        return ResponseHandler.LASTMODIFIED_NOCACHE;
    }

    protected void initResponse(HttpServletResponse response) throws IOException {
        response.setContentType("text/html;charset=UTF-8");
        initPrinter(response.getWriter());
    }

    protected void start() {
        start(workingLangInteger);
    }

}
