/* Scrutari - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.explore.htmlpages;

import fr.exemole.sctserver.SctServer;
import net.mapeadores.scrutari.supermotcle.SupermotcleCroisement;
import net.mapeadores.scrutari.supermotcle.SupermotcleManager;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;


/**
 *
 * @author Vincent Calame
 */
public class SupermotcleCroisementPage extends ExploreHtmlPage {

    private int libLangInteger;

    public SupermotcleCroisementPage(SctServer sctServer, int libLangInteger) {
        super(sctServer);
        this.libLangInteger = libLangInteger;
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        SupermotcleManager supermotcleManager = sctServer.getSupermotcleManager();
        SupermotcleCroisement supermotcleCroisement = supermotcleManager.getSupermotcleCroisement(libLangInteger);
        initResponse(response);
        start();
        printSupermotcleCroisement(supermotcleCroisement);
        end();
    }

    private void printSupermotcleCroisement(SupermotcleCroisement supermotcleCroisement) throws IOException {
        int coupleCount = supermotcleCroisement.getCoupleCount();
        for (int i = 0; i < coupleCount; i++) {
            SupermotcleCroisement.Couple couple = supermotcleCroisement.getCouple(i);
            append(String.valueOf(couple.getCode1()));
            append(";");
            append(String.valueOf(couple.getCode2()));
            append(";");
            append(String.valueOf(couple.getTotal()));
            appendBr();
        }
    }

}
