/* Scrutari - Copyright (c) 2011-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.feed;

import fr.exemole.sctserver.feed.FeedOptions;
import fr.exemole.sctserver.SctContext;
import fr.exemole.sctserver.SctServer;
import fr.exemole.sctserver.feed.xml.AtomFeedXMLPart;
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.servlets.ResponseHandler;
import net.mapeadores.util.xml.AppendableXMLWriter;
import net.mapeadores.util.xml.XMLUtils;


/**
 *
 * @author Vincent Calame
 */
public class AtomResponseHandler implements ResponseHandler {

    private SctServer sctServer;
    private SctContext sctContext;
    private FeedOptions feedOptions;

    public AtomResponseHandler(SctContext sctContext, FeedOptions feedOptions) {
        this.sctContext = sctContext;
        this.sctServer = sctContext.getSctServer();
        this.feedOptions = feedOptions;
    }

    public long getLastModified() {
        return sctServer.getFeed().getLastModified();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        response.setContentType("application/atom+xml;charset=UTF-8");
        PrintWriter pw = response.getWriter();
        int indent = 0;
        if (!feedOptions.isWithIndent()) {
            indent = -99999;
        }
        AppendableXMLWriter xmlWriter = XMLUtils.getXMLWriter(pw, indent);
        xmlWriter.appendXMLDeclaration();
        AtomFeedXMLPart feedXMLPart = new AtomFeedXMLPart(xmlWriter, sctContext, feedOptions);
        feedXMLPart.appendFeed();
        pw.close();
    }

}
