/* ScrutariLib_DB - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.db;

import net.mapeadores.scrutari.lexie.LexieOccurrences;


/**
 *
 * @author Vincent Calame
 */
public class LexieQuery {


    /*LexieQuery(LexieManager lexieManager) {
        this.lexieManager = lexieManager;
    }

    public List<ScrutariLexieUnit> getScrutariLexieUnitList(int langInteger) {
        List<ScrutariLexieUnit> list = new ArrayList<ScrutariLexieUnit>();
        try {
            DatabaseEntry secondaryKey = new DatabaseEntry();
            IntegerBinding.intToEntry(langInteger, secondaryKey);
            DatabaseEntry value = new DatabaseEntry();
            SecondaryCursor cursor = lexieManager.langIndex.openSecondaryCursor(null, null);
            OperationStatus op = cursor.getSearchKey(secondaryKey, value, null);
            if (op == OperationStatus.SUCCESS) {
                list.add(ScrutariLexieUnit.fromDatabaseEntry(value));
                while (cursor.getNextDup(new DatabaseEntry(), value, null) == OperationStatus.SUCCESS) {
                    list.add(ScrutariLexieUnit.fromDatabaseEntry(value));
                }
            }
            cursor.close();
        } catch (DatabaseException de) {
            throw new NestedLibraryException(de);
        }
        return list;
    }

    public CodeList getLexieInSubsetCodeList(long lexieId, int codesubset) {
        LexieOccurrences[] array = getLexieOccurrencesArray(lexieId, codesubset);
        if (array == null) {
            return CodeListUtils.EMPTY_CODELIST;
        }
        return new LexieOccurrencesCodeList(array);
    }

    public LexieOccurrences[] getLexieOccurrencesArray(long lexieId, int code) {
        DatabaseEntry data = getLexieOccurrencesArrayData(lexieId, code);
        if (data == null) {
            return null;
        }
        return LexieOccurrences.fromArrayDatabaseEntry(data);
    }*/

    private static class LexieOccurrencesCodeList implements CodeList {

        private LexieOccurrences[] lexieOccurrencesArray;

        private LexieOccurrencesCodeList(LexieOccurrences[] lexieOccurrencesArray) {
            this.lexieOccurrencesArray = lexieOccurrencesArray;
        }

        public int getCodeCount() {
            return lexieOccurrencesArray.length;
        }

        public int getCode(int i) {
            return lexieOccurrencesArray[i].getCode();
        }

    }

}
