/* ScrutariLib_DB - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.db.util;

import net.mapeadores.scrutari.data.BaseData;


/**
 *
 * @author Vincent Calame
 */
public class BaseCheck {

    private int checkedLangUi;
    private String baseIcon;

    private BaseCheck(int checkedLangUi, String baseIcon) {
        this.checkedLangUi = checkedLangUi;
        this.baseIcon = baseIcon;
    }

    public int getCheckedLangUi() {
        return checkedLangUi;
    }

    public String getBaseIcon() {
        return baseIcon;
    }

    public static BaseCheck check(BaseData baseData, int langInteger) {
        int checkedLangUi = baseData.checkLangUi(langInteger);
        String baseIcon = baseData.getBaseIcon(checkedLangUi);
        return new BaseCheck(checkedLangUi, baseIcon);
    }

}
