/* ScrutariLib_SearchEngine - Copyright (c) 2008-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine;


/**
 *
 * @author Vincent Calame
 */
public interface FicheSearchResultInfo {

    /**
     * Retourne le code de la fiche.
     */
    public int getCode();

    /**
     * Retourne le nombre de mot-clé qui ont servi à sélectionner la fiche.
     */
    public int getMotcleCount();

    /**
     * Retourne le code du i-ième mot-clé.
     */
    public int getMotcleCode(int i);

    /**
     * Retourne le nombre d'instance de FicheSearchTokenPositionList
     */
    public int getFicheSearchTokenPositionListCount();

    /**
     * Retourne la i-ème instance de FicheSearchTokenPositionList
     */
    public FicheSearchTokenPositionList getFicheSearchTokenPositionList(int i);

    /**
     * Retourne la liste des instances de SubstringPosition indiquant la
     * présence de mots de la séquence de recherche dans l'alinéa de la fiche
     * indiquée par <em>alineaInteger</em>. Retourne <em>null</em> s'il n'y a
     * pas de mot pour ce champ-là.
     */
    public FicheSearchTokenPositionList getSubstringPositionList(int alineaInteger);

    public float getPertinence();

}
