/* ScrutariLib_SearchEngine - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine;

import net.mapeadores.util.text.SubstringPosition;


/**
 *
 * @author Vincent Calame
 */
public interface SearchTokenPositionList {

    /**
     * Retourne la taille de la liste.
     */
    public int size();

    /**
     * Retourne la i-ième instance de SubstringPosition stockée dans cette liste.
     */
    public SubstringPosition getSearchTokenPosition(int i);

    /**
     * Retourne la position dans la séquence de recherche du mot correspondant à la i-ième instance
     * de SubstringPosition stockée dans cette liste.
     */
    public int getSearchTokenIndexForPosition(int i);

    /**
     * Indique si cette liste contient une instance de SubstringPosition pour tous
     * les mots de la séquence de recherche.
     */
    public boolean containsAllSearchTokens();

}
