/* ScrutariLib_SearchEngine - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine;

import net.mapeadores.util.text.SubstringPosition;
import java.util.Comparator;


/**
 *
 * @author Vincent Calame
 */
public class SearchTokenPositionListComparator implements Comparator<SearchTokenPositionList> {

    public int compare(SearchTokenPositionList list1, SearchTokenPositionList list2) {
        int size1 = list1.size();
        int size2 = list2.size();
        if (size1 > size2) {
            return 1;
        }
        if (size1 < size2) {
            return -1;
        }
        int diff = 0;
        for (int i = 0; i < size1; i++) {
            int tk1 = list1.getSearchTokenIndexForPosition(i);
            int tk2 = list2.getSearchTokenIndexForPosition(i);
            if (tk1 < tk2) {
                return 1;
            }
            if (tk1 > tk1) {
                return -1;
            }
            SubstringPosition pos1 = list1.getSearchTokenPosition(i);
            SubstringPosition pos2 = list2.getSearchTokenPosition(i);
            int start1 = pos1.getBeginIndex();
            int start2 = pos2.getBeginIndex();
            if (start1 < start2) {
                return 1;
            }
            if (start1 > start2) {
                return -1;
            }
            if (diff == 0) {
                int ln1 = pos1.getLength();
                int ln2 = pos2.getLength();
                if (ln1 < ln2) {
                    diff = 1;
                }
                if (ln1 > ln2) {
                    diff = -1;
                }
            }
        }
        if (diff != 0) {
            return diff;
        }
        return 0;
    }

}
