/* ScrutariLib_SearchEngine - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine.impl;

import net.mapeadores.scrutari.searchengine.FicheSearchResultGroup;
import net.mapeadores.scrutari.searchengine.FicheSearchResultInfo;


/**
 *
 * @author Vincent Calame
 */
public class MutableFicheSearchResultGroup implements FicheSearchResultGroup {

    private int corpusClasseRank;
    private FicheSearchResultInfo[] ficheSearchResultInfoArray;

    public MutableFicheSearchResultGroup() {
    }

    public int getCorpusClasseRank() {
        return corpusClasseRank;
    }

    public int getFicheSearchResultCount() {
        if (ficheSearchResultInfoArray == null) {
            return 0;
        }
        return ficheSearchResultInfoArray.length;
    }

    public FicheSearchResultInfo getFicheSearchResultInfo(int i) {
        return ficheSearchResultInfoArray[i];
    }

    public void setCorpusClasseRank(int corpusClasseRank) {
        this.corpusClasseRank = corpusClasseRank;
    }

    public void setFicheSearchResultInfoArray(FicheSearchResultInfo[] ficheSearchResultInfoArray) {
        this.ficheSearchResultInfoArray = ficheSearchResultInfoArray;
    }

}
