/* ScrutariLib_SearchEngine - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine.impl;

import net.mapeadores.scrutari.searchengine.SearchTokenPositionList;
import net.mapeadores.util.text.SubstringPosition;


/**
 *
 * @author Vincent Calame
 */
public class MutableSearchTokenPositionList implements SearchTokenPositionList {

    private boolean allTokens = false;
    private SearchTokenPosition[] searchTokenPositionArray;

    public int size() {
        if (searchTokenPositionArray == null) {
            return 0;
        }
        return searchTokenPositionArray.length;
    }

    public SubstringPosition getSearchTokenPosition(int i) {
        return searchTokenPositionArray[i].getSubstringPosition();
    }

    public int getSearchTokenIndexForPosition(int i) {
        return searchTokenPositionArray[i].getSearchTokenIndex();
    }

    public boolean containsAllSearchTokens() {
        return allTokens;
    }

    public void setAllTokens(boolean allTokens) {
        this.allTokens = allTokens;
    }

    public void setSearchTokenPositionArray(SearchTokenPosition[] searchTokenPositionArray) {
        this.searchTokenPositionArray = searchTokenPositionArray;
    }

}
