/* ScrutariLib_SearchEngine - Copyright (c) 2006-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine.util;

import java.util.LinkedHashSet;
import java.util.Set;
import net.mapeadores.scrutari.db.CodeList;
import net.mapeadores.scrutari.db.DataAccess;
import net.mapeadores.scrutari.db.CodeListUtils;
import net.mapeadores.scrutari.db.CountStats;


/**
 *
 * @author Vincent Calame
 */
public class SearchOptionsUtils {

    private SearchOptionsUtils() {
    }

    public static CodeList getSelectionThesaurusCodeList(CountStats countStats, DataAccess dataAccess, CodeList codecorpusList) {
        Set<Integer> thesaurusSet = new LinkedHashSet<Integer>();
        int corpusCount = codecorpusList.getCodeCount();
        CodeList codethesaurusList = dataAccess.getCodethesaurusList();
        int thesaurusCount = codethesaurusList.getCodeCount();
        for (int i = 0; i < corpusCount; i++) {
            int codecorpus = codecorpusList.getCode(i);
            for (int j = 0; j < thesaurusCount; j++) {
                int codethesaurus = codethesaurusList.getCode(j);
                if (countStats.hasIndexation(codecorpus, codethesaurus)) {
                    thesaurusSet.add(codethesaurus);
                }
            }
        }
        return CodeListUtils.toCodeList(thesaurusSet);
    }

}
