/* ScrutariLib_Xml - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.xml;

import net.scrutari.datauri.BaseURI;
import net.scrutari.datauri.ScrutariDataURI;
import net.mapeadores.scrutari.db.ScrutariDB;
import java.util.Set;
import java.util.HashSet;
import java.util.Map;
import java.util.HashMap;
import net.mapeadores.scrutari.data.IndexationBuilder;


/**
 *
 * @author Vincent Calame
 */
public class Parameters {

    private Map<ScrutariDataURI, ScrutariDataURI> internMap = new HashMap<ScrutariDataURI, ScrutariDataURI>();
    private Set<Object> doublonSet = new HashSet<Object>();
    private ScrutariDB.Builder scrutariDBBuilder;
    private ScrutariXmlErrorHandler scrutariXmlErrorHandler;
    private IndexationBuilder indexationBuilder = new IndexationBuilder();
    private BaseURI baseURI;

    public Parameters(ScrutariDB.Builder scrutariDBBuilder, ScrutariXmlErrorHandler scrutariXmlErrorHandler) {
        this.scrutariDBBuilder = scrutariDBBuilder;
        this.scrutariXmlErrorHandler = scrutariXmlErrorHandler;
    }

    public ScrutariDB.Builder getScrutariDBBuilder() {
        return scrutariDBBuilder;
    }

    public ScrutariXmlErrorHandler getScrutariXmlErrorHandler() {
        return scrutariXmlErrorHandler;
    }

    public boolean testDoublon(Object obj) {
        if (doublonSet.contains(obj)) {
            return false;
        }
        doublonSet.add(obj);
        return true;
    }

    public BaseURI getBaseURI() {
        return baseURI;
    }

    public void setBaseURI(BaseURI baseURI) {
        this.baseURI = baseURI;
    }

    public ScrutariDataURI intern(ScrutariDataURI scrutariDataURI) {
        ScrutariDataURI obj = internMap.get(scrutariDataURI);
        if (obj != null) {
            return obj;
        }
        internMap.put(scrutariDataURI, scrutariDataURI);
        return scrutariDataURI;
    }

    public IndexationBuilder getIndexationBuilder() {
        return indexationBuilder;
    }

}
