/* SctServer - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver;


/**
 *
 * @author Vincent Calame
 */
public interface SearchLog {

    public int[] getMonthIntegerArray();

    public DayLog[] getDayLogArray(int monthInteger);


    public interface DayLog {

        public int getDateInteger();

        public QueryLog[] getQueryLogArray();

        public DayStats getDayStats();

    }


    public interface QueryLog {

        public String getSearchSequence();

        public String getSite();

        public int getFicheCount();

        /**
         * Retourne -1 si il n'y a pas eu de filtre sur les fiches
         */
        public int getFicheMaximum();

        public int getAllMotcleCount();

        public int getCompleteMotcleCount();

    }


    public interface DayStats {

        public int getCorpusCount();

        public int getThesaurusCount();

        public int getMotcleCount();

        public int getFicheCount();

        public int getBaseCount();

        public int getLexieCount();

        public int getIndexationCount();

    }

}
