/* SctServer - Copyright (c) 2009-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.conf;

import fr.exemole.sctserver.admin.SearchLogDeny;
import fr.exemole.sctserver.feed.SctFeedMetadata;
import java.util.Map;
import net.mapeadores.scrutari.db.ScrutariDataURICodeList;
import net.mapeadores.scrutari.searchengine.CorpusClasse;
import net.mapeadores.scrutari.searchengine.PertinencePonderation;
import net.mapeadores.util.attr.AttributeDefList;
import net.mapeadores.util.text.UrlKey;


/**
 *
 * @author Vincent Calame
 */
public interface ConfDirectory extends ConfConstants {

    public UrlKey[] getInfoUrlKeyArray();

    public CorpusClasse[] getCorpusClasseArray();

    public PertinencePonderation getGlobalPertinencePonderation();

    public SearchLogDeny[] getSearchLogDenyArray();

    public ConfFileInfo getConfFileInfo(String name);

    public void reload() throws ConfIOException;

    public ScrutariDataURICodeList getInitialScrutariDataURICodeList();

    public SctFeedMetadata getSctFeedMetadata();

    public Map<String, AttributeDefList> getAttributeDefListMap();

}
