/* SctServer - Copyright (c) 2011-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.conf;

import fr.exemole.sctserver.ErrorUtils;
import fr.exemole.sctserver.feed.SctFeedMetadata;
import java.io.File;
import java.io.IOException;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import net.mapeadores.util.logging.ProcessLogBuilder;
import net.mapeadores.util.logging.ProcessMessageList;
import net.mapeadores.util.logging.ProcessURI;
import org.w3c.dom.Document;
import org.xml.sax.SAXException;


/**
 *
 * @author Vincent Calame
 */
public class FeedConf {

    private ProcessURI processURI;
    private ProcessMessageList processMessageList;
    private SctFeedMetadata sctFeedMetadata;

    public static FeedConf load(File f) throws IOException, ParserConfigurationException {
        FeedConf conf = new FeedConf();
        conf.init(f);
        return conf;
    }

    public ProcessURI getProcessURI() {
        return processURI;
    }

    public ProcessMessageList getProcessMessageList() {
        return processMessageList;
    }

    public SctFeedMetadata getSctFeedMetadata() {
        return sctFeedMetadata;
    }

    private void init(File f) throws IOException, ParserConfigurationException {
        processURI = ProcessURI.fromFile(f);
        ProcessLogBuilder logBuilder = new ProcessLogBuilder();
        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        Document document;
        try {
            DocumentBuilder db = dbf.newDocumentBuilder();
            document = db.parse(f);
        } catch (SAXException saxe) {
            ErrorUtils.saxException(logBuilder, saxe);
            processMessageList = logBuilder.toList();
            return;
        }
        /*
         * UriCodesBuilder builder = new UriCodesBuilder(uriCodesLog);
         * UriCodesDOMReader domReader = new UriCodesDOMReader(builder,
         * feedLog); domReader.readUriCodes(document.getDocumentElement());
         */
        processMessageList = logBuilder.toList();
    }

}
