/* SctServer - Copyright (c) 2005 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.config;

import java.io.PrintWriter;


/**
 *
 * @author  Vincent Calame
 */
public class ConfigException extends RuntimeException {

    short type;
    final public static short CONFIG_FILE_ABSENT = 0;
    Exception e;

    public ConfigException(Exception e) {
        super(e);
        this.e = e;
        e.printStackTrace();
    }

    public ConfigException(String message) {
        super(message);
    }

    public void printStackTraceException(PrintWriter writer) {
        e.printStackTrace(writer);
    }

    public boolean hasSource() {
        return e != null;
    }

    public Exception getSource() {
        return e;
    }

    @Override
    public String getMessage() {
        if (e != null) {
            return e.getClass().getName() + ": " + e.getMessage();
        } else {
            return super.getMessage();
        }
    }

}
