/* SctServer - Copyright (c) 2011-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.feed;

import net.mapeadores.util.localisation.LocalisationInfo;


/**
 *
 * @author Vincent Calame
 */
public class FeedOptions {

    private boolean fichesOnly = false;
    private LocalisationInfo localisationInfo;
    private short contentType = 1;
    private boolean withSoustitre = false;
    private boolean withComplements = false;
    private boolean withMotscles = false;
    private boolean withIcon = false;
    private boolean withIndent = false;
    private boolean technicalTitle = false;

    public FeedOptions(LocalisationInfo localisationInfo) {
        this.localisationInfo = localisationInfo;
    }

    public boolean isFichesOnly() {
        return fichesOnly;
    }

    public void setFichesOnly(boolean onlyWithFiches) {
        this.fichesOnly = onlyWithFiches;
    }

    public LocalisationInfo getLocalisationInfo() {
        return localisationInfo;
    }

    public int getWorkingLangInteger() {
        return localisationInfo.getFormatLocaleInteger();
    }

    public short getContentType() {
        return contentType;
    }

    public void setContentType(short contentType) {
        this.contentType = contentType;
    }

    public boolean isWithSoustitre() {
        return withSoustitre;
    }

    public void setWithSoustitre(boolean withSoustitre) {
        this.withSoustitre = withSoustitre;
    }

    public boolean isWithComplements() {
        return withComplements;
    }

    public void setWithComplements(boolean withComplements) {
        this.withComplements = withComplements;
    }

    public boolean isWithMotscles() {
        return withMotscles;
    }

    public void setWithMotscles(boolean withMotscles) {
        this.withMotscles = withMotscles;
    }

    public boolean isWithIcon() {
        return withIcon;
    }

    public void setWithIcon(boolean withIcon) {
        this.withIcon = withIcon;
    }

    public boolean isWithIndent() {
        return withIndent;
    }

    public void setWithIndent(boolean withIndent) {
        this.withIndent = withIndent;
    }

    public boolean isTechnicalTitle() {
        return technicalTitle;
    }

    public void setTechnicalTitle(boolean technicalTitle) {
        this.technicalTitle = technicalTitle;
    }

}
