/* SctServer - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.feed.xml;

import fr.exemole.sctserver.feed.FeedConstants;
import fr.exemole.sctserver.feed.FeedOptions;
import net.mapeadores.scrutari.db.DataAccess;
import net.mapeadores.scrutari.searchengine.GlobalSearchOptions;
import net.mapeadores.util.exceptions.SwitchException;
import net.scrutari.datauri.tree.URITree;


/**
 *
 * @author Vincent Calame
 */
public class EntryContentFactory {

    private EntryContentFactory() {
    }

    public static EntryContent newEntryContent(DataAccess dataAccess, URITree uriTree, FeedOptions feedOptions, GlobalSearchOptions globalSearchOptions) {
        short type = feedOptions.getContentType();
        switch (type) {
            case FeedConstants.TREE_CONTENTTYPE:
                TreeEntryContent treeEntryContent = new TreeEntryContent(feedOptions);
                treeEntryContent.checkUriTree(dataAccess, uriTree);
                return treeEntryContent;
            case FeedConstants.CLASSES_CONTENTTYPE:
                ClassesEntryContent classesEntryContent = new ClassesEntryContent(feedOptions, globalSearchOptions);
                classesEntryContent.checkUriTree(dataAccess, uriTree);
                return classesEntryContent;
            default:
                throw new SwitchException("type=" + feedOptions.getContentType());
        }
    }

}
