/* SctServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request.simple.catalog;

import net.mapeadores.scrutari.db.ScrutariDB;
import net.mapeadores.scrutari.searchengine.FicheSearchResult;
import fr.exemole.sctserver.request.simple.SimpleRequest;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.langinteger.LangIntegerUtils;
import net.mapeadores.util.text.SearchSequence;
import java.io.IOException;
import java.io.PrintWriter;


/**
 *
 * @author Vincent Calame
 */
public class SearchHeaderRequest extends SimpleRequest {

    private FicheSearchResult searchResult;

    public SearchHeaderRequest(ScrutariDB scrutariDB, FicheSearchResult searchResult) {
        super(scrutariDB);
        this.searchResult = searchResult;
    }

    public void printResponse(PrintWriter pw) throws IOException {
        SearchSequence searchSequence = searchResult.getSearchSequence();
        pw.print("#h");
        pw.print('\n');
        pw.print("chrch=");
        pw.print(searchSequence.toString());
        pw.print('\n');
        pw.print("idrch=");
        pw.print(searchResult.getIdentifiant());
        pw.print('\n');
        pw.print("lngsq=");
        pw.print(searchSequence.getTokenCount());
        pw.print('\n');
        pw.print("lgrch=");
        int[] langIntegerArray = searchResult.getLangIntegerArray();
        if (langIntegerArray != null) {
            pw.print(LangIntegerUtils.toString(langIntegerArray, ','));
            pw.print('\n');
        } else {
            pw.print('\n');
        }
        pw.print("ttfch=");
        pw.print(searchResult.getFicheCount());
        pw.print('\n');
        pw.print("tpfch=");
        pw.print(searchResult.getFicheMaximum());
        pw.print('\n');
        pw.print("ttmtc=");
        pw.print(searchResult.getMotcleCount());
        pw.print('\n');
        pw.print("tcmtc=");
        pw.print(searchResult.getCompleteMotcleCount());
        pw.print('\n');
        pw.print("lagui=");
        pw.print(LangInteger.toString(searchResult.getLangUi()));
        pw.print('\n');
    }

}
