/* SctServer - Copyright (c) 2009-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.searchlog;

import fr.exemole.sctserver.SearchLog;


/**
 *
 * @author Vincent Calame
 */
public class DefaultQueryLog implements SearchLog.QueryLog {

    private String searchSequence = "";
    private String site = "";
    private int ficheCount = -1;
    private int ficheMaximum = -1;
    private int allMotcleCount = -1;
    private int completeMotcleCount = -1;

    public DefaultQueryLog() {
    }

    public String getSearchSequence() {
        return searchSequence;
    }

    protected void innerSetSearchSequence(String searchSequence) {
        if (searchSequence == null) {
            this.searchSequence = "";
        } else {
            this.searchSequence = searchSequence;
        }
    }

    public String getSite() {
        return site;
    }

    protected void innerSetSite(String site) {
        if (site == null) {
            this.site = "";
        } else {
            this.site = site;
        }
    }

    public int getFicheCount() {
        return ficheCount;
    }

    protected void innerSetFicheCount(int ficheCount) {
        if (ficheCount < 0) {
            this.ficheCount = -1;
        } else {
            this.ficheCount = ficheCount;
        }
    }

    public int getFicheMaximum() {
        return ficheMaximum;
    }

    protected void innerSetFicheMaximum(int ficheMaximum) {
        if (ficheMaximum < 0) {
            this.ficheMaximum = -1;
        } else {
            this.ficheMaximum = ficheMaximum;
        }
    }

    public int getAllMotcleCount() {
        return allMotcleCount;
    }

    public int getCompleteMotcleCount() {
        return completeMotcleCount;
    }

    protected void innerSetAllMotcleCount(int allMotcleCount) {
        this.allMotcleCount = allMotcleCount;
    }

    protected void innerSetCompleteMotcleCount(int completeMotcleCount) {
        this.completeMotcleCount = completeMotcleCount;
    }

}
