/* UtilLib_Servlet - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.servlets;

import net.mapeadores.util.io.MimeTypeConstants;


/**
 *
 * @author Vincent Calame
 */
public class JsonTypeUtils implements JsonType {

    public static short parseJsonType(String s) {
        if (s == null) {
            return JSON_TYPE;
        }
        if (s.equals(JSON_STRING)) {
            return JSON_TYPE;
        }
        if (s.equals(JSON_IN_HTML_STRING)) {
            return JSON_IN_HTML_TYPE;
        }
        if (s.equals(JSON_P_STRING)) {
            return JSON_P_TYPE;
        }
        return JSON_TYPE;
    }

    public static String jsonTypeToContentType(short jsonType) {
        switch (jsonType) {
            case JSON_TYPE:
                return MimeTypeConstants.JSON;
            case JSON_IN_HTML_TYPE:
                return MimeTypeConstants.HTML + ";charset=UTF-8";
            case JSON_P_TYPE:
                return MimeTypeConstants.JAVASCRIPT + ";charset=UTF-8";
            default:
                throw new IllegalArgumentException("Unknown type: " + jsonType);
        }
    }

}
