/* UtilLib_Servlet - Copyright (c) 2007-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.servlets.handlers;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.io.MimeTypeConstants;
import net.mapeadores.util.servlets.ResponseHandler;


/**
 *
 * @author Vincent Calame
 */
public class SimpleResponseHandler implements ResponseHandler {

    private long lastModified = ResponseHandler.LASTMODIFIED_NOCACHE;
    private String text;
    private boolean isHtml = false;
    private String charset = "UTF-8";

    public SimpleResponseHandler(String text) {
        this.text = text;
    }

    public void setHtml(boolean isHtml) {
        this.isHtml = isHtml;
    }

    public long getLastModified() {
        return lastModified;
    }

    public void setLastModified(long lastModified) {
        this.lastModified = lastModified;
    }

    public void setCharset(String charset) {
        this.charset = charset;
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        if (isHtml) {
            response.setContentType(MimeTypeConstants.HTML + ";charset=" + charset);
        } else {
            response.setContentType(MimeTypeConstants.PLAIN + ";charset=" + charset);
        }
        PrintWriter pw = response.getWriter();
        pw.print(text);
        pw.close();
    }

}
